/*******************************************************************************
*   Author       -  Kiraly Tibor
*                   http://www.tkiraaly.hu
*   Date         -  2016.03.15.
*   Chip         -  Atmel AMega8
*   Compiler     -  avr-gcc ( WinAVR)
*
*   morse.c - demo program
*
********************************************************************************
*   PonyProg Configuration and Security Bits (bepipalva):
*
*   CKSEL3, CKSEL2, CKSEL1, CKSEL0
*   P       P       -       -       0011  Calibrated Internal RC Oscillator 4MHz
*
*   Calibrated Internal RC Oscillator
*   SUT1  SUT0
*   -     P         Slowly rising power
*   
*******************************************************************************/
#define F_CPU                4 MHZ


#include "tkiraaly_atmega8.h"
#include <util/delay.h>




#define LED_BE               PB0_0
#define LED_KI               PB0_1
#define LED_KIMENET          PB0_OUTPUT




int main( void);
void pont( void);
void vonal( void);
void szunet( void);




int main( void)
{
   LED_KI;
   LED_KIMENET;
   for(;;)
   {
      pont();
      pont();
      pont();
      szunet();
      vonal();
      vonal();
      vonal();
      szunet();
      pont();
      pont();
      pont();
      szunet();
      szunet();
   }
}




void pont( void)
{
   LED_BE;
   szunet();
   LED_KI;
   szunet();
}




void vonal( void)
{
   LED_BE;
   szunet();
   szunet();
   LED_KI;
   szunet();
}




void szunet( void)
{
  _delay_ms( 300);
}
