/*******************************************************************************
*   Author       -  Kiraly Tibor
*                   http://www.tkiraaly.hu
*   Date         -  2016.03.15.
*   Chip         -  Atmel AMega8
*   Compiler     -  avr-gcc ( WinAVR)
*
*   morse - cpp demo objektum
*
********************************************************************************
*   PonyProg Configuration and Security Bits (bepipalva):
*
*   CKSEL3, CKSEL2, CKSEL1, CKSEL0
*   P       P       -       -       0011  Calibrated Internal RC Oscillator 4MHz
*
*   Calibrated Internal RC Oscillator
*   SUT1  SUT0
*   -     P         Slowly rising power
*   
*******************************************************************************/
#define F_CPU                4 MHZ




#include "tkiraaly_atmega8.h"
#include <util/delay.h>




#define LED_BE          PB0_0
#define LED_KI          PB0_1
#define LED_KIMENET     PB0_OUTPUT




class morse
{
  public:
    morse();
    void pont();
    void vonal();
    void szunet();
};




int main( void)                                  // SOS jelzes
{
   morse m= morse();
   for(;;)
   {
      m.pont();
      m.pont();
      m.pont();
      m.szunet();
      m.vonal();
      m.vonal();
      m.vonal();
      m.szunet();
      m.pont();
      m.pont();
      m.pont();
      m.szunet();
      m.szunet();
   }
}




morse::morse()
{
   LED_KI;
   LED_KIMENET;
}




void morse::szunet()
{
   _delay_ms( 300);
}




void morse::pont()
{
   LED_BE;
   szunet();
   LED_KI;
   szunet();
}




void morse::vonal()
{
   LED_BE;
   szunet();
   szunet();
   LED_KI;
   szunet();
}
